﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;

namespace SpreadIntro.Models
{
    public class SampleData
    {
        public static DataTable GetTable()
        {
            // Here we create a DataTable with four columns.
            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(int));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(TimeSpan));
            table.Columns.Add("Active", typeof(Boolean));

            // Here we add five DataRows.
            table.Rows.Add(25, "Indocin", "David", new TimeSpan(1,2,45),true);
            table.Rows.Add(50, "Enebrel", "Sam", new TimeSpan(2,20, 45), false);
            table.Rows.Add(10, "Hydralazine", "Christoff", new TimeSpan(1, 2, 45), true);
            table.Rows.Add(21, "Combivent", "Janet", new TimeSpan(13, 2, 45), false);
            table.Rows.Add(100, "Dilantin", "Melanie", new TimeSpan(15, 2, 45), true);
            return table;
        }
    }
}